import type { PropType } from '@vue/composition-api';
import type { Color } from '../utils';
import type { TdColorHandler } from '../interfaces';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    railStyle: import("@vue/composition-api").ComputedRef<{
        background: string;
    }>;
    handleValueChange: (v: number, isDragEnd?: boolean) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    color: {
        type: PropType<Color>;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    handleChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    color: {
        type: PropType<Color>;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    handleChange: {
        type: PropType<TdColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    handleChange: TdColorHandler;
} & {
    color?: Color;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    railStyle: import("@vue/composition-api").ComputedRef<{
        background: string;
    }>;
    handleValueChange: (v: number, isDragEnd?: boolean) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    handleChange: TdColorHandler;
} & {
    color?: Color;
}, {
    disabled: boolean;
    handleChange: TdColorHandler;
}, true>);
export default _default;
